#coding:utf-8

import sunhpc
class Command(sunhpc.commands.sync.command):
    """
    Update all user-related files (e.g., /etc/passwd, /etc/shadow, etc.)
    on all known hosts. Also, restart autofs on all known hosts.

    <example cmd='sync users'>
    Send all user info to all known hosts.
    </example>
    """
    def run(self, params, args):

        #
        # fix /etc/passwd 
        #
        self.runPlugins()

        # Encrypt file to /etc/safe.d directory.
        self.command('create.security.users')
